var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconDataAnnotationComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-data_annotation").concat(loadingKls, " ").concat(className), width: width, height: height, viewBox: "0 0 20 20", fill: useCurrentColor ? 'currentColor' : 'none', xmlns: "http://www.w3.org/2000/svg" }, rest, { ref: ref }),
        React.createElement("rect", { width: "20", height: "20", rx: "6", fill: useCurrentColor ? 'currentColor' : '#B272E7' }),
        React.createElement("path", { d: "M6.20825 11.7933V13.9167H8.34244L14.3749 7.88153L12.2443 5.75L6.20825 11.7933Z", fill: useCurrentColor ? 'currentColor' : '#fff', stroke: "#fff", strokeWidth: "2", strokeLinejoin: "round" }));
}
var IconDataAnnotation = React.forwardRef(IconDataAnnotationComponent);
export default IconDataAnnotation;
